Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.audit
Interface DSPPartialAuditEvent

    public interface DSPPartialAuditEvent

Field Summary
`static java.lang.String` | `EVENTTYPE`
`static java.lang.String` | `VERSION`

Method Summary
`java.util.List` | `getAllRecords()` Returns a list of DSPAuditRecord for this event.
`java.lang.String` | `getApplication()`
`java.lang.String` | `getEventIdentifier()`
`int` | `getEventKind()`
`java.lang.Object[]` | `getProperty(java.lang.String propertyId)` Returns a list of property values for a specified property.
`java.util.List` | `getRecords(java.lang.String recordType)` Returns a list of instances of DSPAuditRecord representing a specific audit record type for this event.
`java.util.Date` | `getTimeStamp()`
`java.lang.String` | `getUser()`
`java.lang.String` | `getVersion()`

Field Detail

### EVENTTYPE

    static final java.lang.String EVENTTYPE

See Also:
  Constant Field Values

### VERSION

    static final java.lang.String VERSION

See Also:
  Constant Field Values

Method Detail

### getEventIdentifier

    java.lang.String getEventIdentifier()

  Returns:
    An identifier for the event that this event is a part of.

### getVersion

    java.lang.String getVersion()

  Returns:
    version identifier for this event (`DSPAuditEvent.VERSION`)

### getAllRecords

    java.util.List getAllRecords()

  Returns a list of DSPAuditRecord for this event.

  Returns:
    list of records

### getRecords

    java.util.List getRecords(java.lang.String recordType)

  Returns a list of instances of DSPAuditRecord representing a specific audit record type for this event.

  Returns:
    list of records

### getProperty

    java.lang.Object[] getProperty(java.lang.String propertyId)

  Returns a list of property values for a specified property.

  Parameters:
    `propertyId` -
  Returns:
    list of values

### getApplication

    java.lang.String getApplication()

  Returns:
    identifier of a DSP data space

### getUser

    java.lang.String getUser()

  Returns:
    identifier of a user who executed the operation

### getTimeStamp

    java.util.Date getTimeStamp()

  Returns:
    creation time of the event

### getEventKind

    int getEventKind()

  Returns:
    If this event is generated during a query evaluation, update or configuration Appropriate constants are defined in this interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.